﻿using KB3199_ValueOverlayWithCategoryDateTime.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KB3199_ValueOverlayWithCategoryDateTime
{
    public class MainWindowViewModel
    {
        private ObservableCollection<DataPoint> _sampleData;

        public ObservableCollection<DataPoint> SampleData
        {
            get { return _sampleData; }
            set { _sampleData = value; }
        }

        private double _valueOverlayValue;

        public double ValueOverlayValue
        {
            get { return _valueOverlayValue; }
            set { _valueOverlayValue = value; }
        }


        public MainWindowViewModel()
        {
            Random rnd = new Random();

            _sampleData = new ObservableCollection<DataPoint>();
            for (int i = 0; i < 28; i++)
            {
                _sampleData.Add(new DataPoint() { XValue = new DateTime(2018, 2, i + 1), YValue = rnd.Next(100) });
            }

            DateTime dateTime = new DateTime(2018, 2, 5);
            _valueOverlayValue = dateTime.Ticks;
        }
    }
}
